#!/bin/sh
# the next line restarts using wish \
exec wish "$0" "$@"


##  hmsced.tcl
##
##		This file implements code for
##		starting hmsc-editor
##
##  Copyright (c) 1998 <Irrational Numbers> : <buraldo@maganet.net> 
##
##  This program is free software; you can redistibute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation.
##
##  See the file "license" for information on usage and
##  redistribution of this program, and for a disclaimer of all warranties.
##
##  VER 1.2


if { $tcl_patchLevel < "8.0.3" } {
	tk_messageBox -title "Startup Error" -icon error \
		-message "This program requires TCL/Tk 8.0.3 or later"
	## maybe 8.0 still works , but we cannot recommend it..
	exit
}


set BASE_DIR [file dirname [file join [pwd] [info script]]]
set HMSC_VER	1.2

source [file join $BASE_DIR hmsced.ui.tcl]
source [file join $BASE_DIR pref.ui.tcl]

hmsced_ui .

